#!/bin/bash

echo "num of params is $#"
if [ $# -eq 1 ] ; then
	if [ -d $1 ] ; then
		RPMDIR=$1
	else
        	echo "Directory $1 does not exit"
		exit 1	
	fi
else
        RPMDIR="../../updates/fastbugs"	
fi
cd $RPMDIR
RPMLIST=`echo *.rpm`
cd ..

for RPM in $RPMLIST
do
	if [ -f ../../../../../i386-disc0/sites/Fermi/RPMS/$RPM ] ; then
	   echo "Skipping $RPM as it was already done"
#           rm $RPMDIR/$RPM
        else
	   echo "did not find $RPM in ../../../../../i386-disc0/sites/Fermi/RPMS"
	fi  
done
